# Uses of Class
org.apache.zookeeper.server.ZooKeeperServerBean

Packages that use ZooKeeperServerBean
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of ZooKeeperServerBean in org.apache.zookeeper.server

Subclasses of ZooKeeperServerBean in org.apache.zookeeper.server
Modifier and Type
Class
Description
`class`
`ObserverBean`
ObserverBean
Fields in org.apache.zookeeper.server declared as ZooKeeperServerBean
Modifier and Type
Field
Description
`protected ZooKeeperServerBean`
ZooKeeperServer.`jmxServerBean`

## Uses of ZooKeeperServerBean in org.apache.zookeeper.server.quorum

Subclasses of ZooKeeperServerBean in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`class`
`FollowerBean`
Follower MBean interface implementation
`class`
`LeaderBean`
Leader MBean interface implementation.
`class`
`ReadOnlyBean`
ReadOnly MX Bean interface, implemented by ReadOnlyBean
Methods in org.apache.zookeeper.server.quorum with parameters of type ZooKeeperServerBean
Modifier and Type
Method
Description
`void`
LearnerZooKeeperServer.`registerJMX(ZooKeeperServerBean serverBean, LocalPeerBean localPeerBean)`
`void`
ReadOnlyZooKeeperServer.`registerJMX(ZooKeeperServerBean serverBean, LocalPeerBean localPeerBean)`